Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.interceptor
Interface IGetMarkupInterceptor

    public interface IGetMarkupInterceptor

Intercepts "getMarkup" operations.

Method Summary
`Status.OnFault` | `onFault(IGetMarkupRequestContext requestContext, IGetMarkupResponseContext responseContext, Throwable t)` Invoked when a SOAP fault is received in the response.
`Status.OnIOFailure` | `onIOFailure(IGetMarkupRequestContext requestContext, IGetMarkupResponseContext responseContext, Throwable t)` Invoked when there is exception while sending the request or receiving the response.
`Status.PostInvoke` | `postInvoke(IGetMarkupRequestContext requestContext, IGetMarkupResponseContext responseContext)` Invoked after receiving the response from the Producer.
`Status.PreInvoke` | `preInvoke(IGetMarkupRequestContext requestContext)` Invoked before constructing a SOAP message and sending it to the Producer.

Method Detail

### preInvoke

    Status.PreInvoke preInvoke(IGetMarkupRequestContext requestContext)

  Invoked before constructing a SOAP message and sending it to the Producer.

  Parameters
    `requestContext` - a request context object that represents input data for the "getMarkup" operation.
  Returns
    by default the implementation should return `Status.PreInvoke.CONTINUE_CHAIN`.

### postInvoke

    Status.PostInvoke postInvoke(IGetMarkupRequestContext requestContext,
                                 IGetMarkupResponseContext responseContext)

  Invoked after receiving the response from the Producer.

  Parameters
    `requestContext` - a request context object that represents input data for the "getMarkup" operation.
    `responseContext` - a response context object that represents output data from the "getMarkup" operation. The response context will be empty if the preInvoke method had returned `Status.PreInvoke.SKIP_REQUEST_ABORT_CHAIN`.
  Returns
    by default the implementation should return `Status.PostInvoke.CONTINUE_CHAIN`.

### onFault

    Status.OnFault onFault(IGetMarkupRequestContext requestContext,
                           IGetMarkupResponseContext responseContext,
                           Throwable t)

  Invoked when a SOAP fault is received in the response. The interceptor can handle the fault, or retry the request.

  Parameters
    `requestContext` - a request context object that represents input data for the "getMarkup" operation.
    `responseContext` - an empty response context, so that an implementation can populate it and return `Status.OnFault.HANDLED`.
    `t` - an exception that represents a fault.
  Returns
    by default the implementation should return `Status.OnFault.CONTINUE_CHAIN`.

### onIOFailure

    Status.OnIOFailure onIOFailure(IGetMarkupRequestContext requestContext,
                                   IGetMarkupResponseContext responseContext,
                                   Throwable t)

  Invoked when there is exception while sending the request or receiving the response. The interceptor can handle the exception, or retry the request.

  Parameters
    `requestContext` - a request context object that represents input data for the "getMarkup" operation.
    `responseContext` - an empty response context, so that an implementation can populate it and return `Status.OnIOFailure.HANDLED`.
    `t` - an exception that represents an IO failure.
  Returns
    by default the implementation should return `Status.OnIOFailure.CONTINUE_CHAIN`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved